Loading...
Searching...
No Matches
f2fs.h File Reference

Go to the source code of this file.

## Data Structures

struct | f2fs_super_block

## Macros

#define | F2FS_MAGIC 0xF2F52010
#define | F2FS_MAX_VOLUME_NAME 512
#define | F2FS_SB_OFFSET 0x02

## Functions

struct f2fs_super_block | __attribute__ ((packed))

## Variables

uint64_t | block_count
uint32_t | checksum_offset
uint32_t | cp_blkaddr
uint32_t | log_blocks_per_seg
uint32_t | log_blocksize
uint32_t | log_sectors_per_block
uint32_t | log_sectorsize
uint32_t | magic
uint32_t | main_blkaddr
uint16_t | major_ver
uint32_t | meta_ino
uint16_t | minor_ver
uint32_t | nat_blkaddr
uint32_t | node_ino
uint32_t | root_ino
uint32_t | secs_per_zone
uint32_t | section_count
uint32_t | segment0_blkaddr
uint32_t | segment_count
uint32_t | segment_count_ckpt
uint32_t | segment_count_main
uint32_t | segment_count_nat
uint32_t | segment_count_sit
uint32_t | segment_count_ssa
uint32_t | segs_per_sec
uint32_t | sit_blkaddr
uint32_t | ssa_blkaddr
uint8_t | uuid [16]
uint16_t | volume_name [F2FS_MAX_VOLUME_NAME]

## Macro Definition Documentation

## F2FS_MAGIC

#define F2FS_MAGIC 0xF2F52010

## F2FS_MAX_VOLUME_NAME

#define F2FS_MAX_VOLUME_NAME 512

## F2FS_SB_OFFSET

#define F2FS_SB_OFFSET 0x02

## Function Documentation

## __attribute__()

struct f2fs_super_block __attribute__ | ( | (packed) |  | ) |

## Variable Documentation

## block_count

uint64_t block_count

## checksum_offset

uint32_t checksum_offset

## cp_blkaddr

uint32_t cp_blkaddr

## log_blocks_per_seg

uint32_t log_blocks_per_seg

## log_blocksize

uint32_t log_blocksize

## log_sectors_per_block

uint32_t log_sectors_per_block

## log_sectorsize

uint32_t log_sectorsize

## magic

uint32_t magic

## main_blkaddr

uint32_t main_blkaddr

## major_ver

uint16_t major_ver

## meta_ino

uint32_t meta_ino

## minor_ver

uint16_t minor_ver

## nat_blkaddr

uint32_t nat_blkaddr

## node_ino

uint32_t node_ino

## root_ino

uint32_t root_ino

## secs_per_zone

uint32_t secs_per_zone

## section_count

uint32_t section_count

## segment0_blkaddr

uint32_t segment0_blkaddr

## segment_count

uint32_t segment_count

## segment_count_ckpt

uint32_t segment_count_ckpt

## segment_count_main

uint32_t segment_count_main

## segment_count_nat

uint32_t segment_count_nat

## segment_count_sit

uint32_t segment_count_sit

## segment_count_ssa

uint32_t segment_count_ssa

## segs_per_sec

uint32_t segs_per_sec

## sit_blkaddr

uint32_t sit_blkaddr

## ssa_blkaddr

uint32_t ssa_blkaddr

## uuid

uint8_t uuid[16]

## volume_name

uint16_t volume_name[F2FS_MAX_VOLUME_NAME]